/*
 * CrudContainer
 * Copyright (C) 2011 by Apaq
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package dk.apaq.filter.core;

import dk.apaq.filter.FilterContainer;
import dk.apaq.filter.Filter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.List;

/**
 *
 */
public abstract class AbstractFilterContainer implements FilterContainer {

    private List<Filter> filters = new ArrayList<Filter>();

    public AbstractFilterContainer() {
    }

    public AbstractFilterContainer(Filter ... filter) {
        this.filters.addAll(Arrays.asList(filter));
    }

    public AbstractFilterContainer(Collection<Filter> filters) {
        this.filters.addAll(filters);
    }

    @Override
    public void addFilter(Filter filter) {
        filters.add(filter);
    }

    @Override
    public void removeFilter(Filter filter) {
        filters.remove(filter);
    }

    @Override
    public List<Filter> getFilters() {
        return Collections.unmodifiableList(filters);
    }


}
